package v1

import "github.com/gogf/gf/v2/frame/g"

type ChatReq struct {
	g.Meta  `path:"/chat" tags:"聊天请求" method:"post" summary:"AI聊天"`
	Role    string `json:"role" v:"required"`
	Content string `json:"content" v:"required"`
}

type ChatRes struct {
	g.Meta `mime:"application/json" example:"json"`
	Text   string `json:"text" `
}

type ChatStreamReq struct {
	g.Meta  `path:"/chatStream" tags:"聊天请求流传输" method:"post" summary:"AI聊天流传输"`
	Role    string `json:"role" v:"required"`
	Content string `json:"content" v:"required"`
}

type ChatStreamRes struct {
}
